! $Id: fors_paragraph.prg,v 1.7 1999/11/25 11:24:02 sbogun Exp $   
!+++ FORS_PARAGRAPH +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
!.COPYRIGHT     (C) 1998  European Southern Observatory
!
!.IDENT       $RCSfile: fors_paragraph.prg,v $
!
!.KEYWORDS      terminal output
!
!.USAGE         @p fors_paragraph para_no check
!
!.INPUT         para_no (P1): paragraph number (1..3)
!               check   (P2): check flag:
!                               super recipe:  0
!                               subrecipe:     1
!                               single recipe: 1
!
!.OUTPUT        terminal output
!
!.RETURN        Q1:  0: successful return
!                   -1: a successful return failed
!
!.DEFAULT       P2  1
!
!.PURPOSE       Put a separator on terminal
!
!.ALGORITHM     
!
!.ENVIRON       
!   
!.LANGUAGE      MIDAS 98NOV
!
!.AUTHOR        Sebastian Wolf, ESO-DMO
!
!.VERSION       1.0 1998/10/20  Creation
!
!.COMMENT
!------------------------------------------------------------------------------
define/param p1 ? n "Enter paragraph number:"
define/param p2 1 n "Enter check flag (super recipe=0, subrecipe, single: 1):"
define/local line/c/1/79 "-" ALL

if {p1} .lt. 1 .OR. {p1} .gt. 4 return -1

branch p1 1,2,3,4 INIT,PROC,FINI,DBLL

INIT:
  line(2:19) = " 1 INITIALIZATION "
  goto endbr
PROC:
  line(2:15) = " 2 PROCESSING "
  goto endbr
FINI:
  line(2:16) = " 3 TERMINATION "
  goto endbr
DBLL:
  write/key line/c/1/79 "=" ALL
endbr:

outputi(1) = pipeline(6) * {P2}

if outputi(1) .eq. 0 then
  write/out " "
  write/out "{line}"
  write/out " "
endif

return 0
