! $Id: fors_replcol.prg,v 1.3 1999/11/25 11:24:06 sbogun Exp $   
!+++ FORS_REPLCOL +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
!.COPYRIGHT     (C) 1998  European Southern Observatory
!
!.IDENT       $RCSfile: fors_replcol.prg,v $
!
!.KEYWORDS      Replace bad pixel column by two  neighbour columns
!
!.USAGE         @p fors_replcol sof_in out sof_ref [optpar]
!
!.INPUT         sof_in  (P1): name of image frame
!               sof_ref (P2): column number to replace
!
!.OUTPUT        
!
!.RETURN        Q1:  0: successful return
!                   -1: a successful return failed
!
!.DEFAULT
!
!.PURPOSE       Replace bad pixel column by two  neighbour columns
!
!.ALGORITHM     X
!
!.ENVIRON       FORS, context
!   
!.LANGUAGE      MIDAS 98NOV
!
!.AUTHOR        Sebastian Wolf, ESO-DMO
!
!.VERSION       1.0 1998/10/23  Creation
!
!.COMMENT
!------------------------------------------------------------------------------
!
! Check parameters
!
define/param p1 ? c "Enter name of image frame:"
define/param p2 ? n "Enter column number to replace:"

define/local CCDSCL/r/1/1 1.0
define/local MDIF/r/1/1 1.0

in_a = P1
outputi(1) = {P2}

run PIPE_EXE:fors_replcol.exe

