! $Id: mospltrsp.prg,v 1.3 1999/11/24 09:48:52 sbogun Exp $ (ESO-DMD)  
!+++++++++++++++++++++++++++++++++++++++++++++++++++++++
!.COPYRIGHT   (C) 1999 European Southern Observatory
!.IDENT       $RCSfile: mospltrsp.prg,v $
!.AUTHORS     Pascal Ballester (ESO/Garching) 
!             Cristian Levin   (ESO/La Silla)
!.KEYWORDS    Spectroscopy, Long-Slit, MOS
!.PURPOSE     Plot response table/image
!
!.VERSION     1.0  Package Creation  17-MAR-1993  
!             1.1  Adapted for MOS package 12-JAN-1999
!-------------------------------------------------------

crossref  response mode

define/param p1 ?      c   "Enter response table/image:"
define/param p2 RATIO  c   "Enter response type:"
define/maxpar 2


! Local variables
define/local mode/c/1/3  " "  all



if m$filtyp(p1,".bdf") .eq. 1 then
  plot/row {p1}
else
  mode = m$upper(p2)
  if m$index(mode,"COL") .gt. 0 then
    plot/table {p1} :wave :colour
  else
    plot/table {p1} :wave :ratio
  endif
endif

return 0
