! $Id: mosslin.prg,v 8.8 2001/01/04 21:55:06 nrainer Exp $ (ESO-IPG)  
! +++++++++++++++++++++++++++++++++++++++++++++++++
!
! .IDENT       $RCSfile: mosslin.prg,v $
!
! MOS PROCEDURE : MOSSLIN.PRG
!
! .PURPOSE
!
! execute the command :
! SEARCH/MOS image params
!
! -------------------------------------------------
!
CROSSREF WLC SEAPAR YBIN METHOD TABLE LINPOS 
!
DEFINE/PARAM P1 {WLC}      IMAGE   "Enter input image:"
DEFINE/PARAM P2 {SEAPAR}   NUMBER  "Threshold, window, bias(if subtracted):"
DEFINE/PARAM P3 {YBIN}     NUMBER  "Step, binning in Y:"
DEFINE/PARAM P4 {CENTMET}  ?       "Centering method"
DEFINE/PARAM P5 {MOS}      TABLE   "Enter MOS table:"
DEFINE/PARAM P6 {LINPOS}   TABLE   "Enter output table:"
!
DEFINE/MAXPAR 6
!
! SET/MOS wlc={P1} seapar={P2} ybin={P3} centmet={P4} mos={P5} linpos={P6} 
!
FNPIX(1) = {{P1},NPIX(1)}
IF {{P1},NAXIS} .GT. 1 FNPIX(2) = {{P1},NPIX(2)}
!
WRITE/KEYW IN_A   {P1}
WRITE/KEYW IN_B   {P5}
WRITE/KEYW OUT_A  {P6}
WRITE/KEYW INPUTI {P3}
WRITE/KEYW INPUTR {P2},0.0
WRITE/KEYW INPUTC {P4}


!==============================================================================
! AGAINST NUMERICAL RECIPES RUN-TIME ERROR (NR 01/01/04):
  error(3) = -1
  !
RUN PIPE_EXE:MOSSLIN
  !
  if progstat(1) .eq. 888 then  ! DETECTION THRESHOLD TOO LOW - START ITERATION
    progstat(1) = 0
    error(3) = 0
    return 1
  endif
  !
SORT/TABL {P6} :slit,:Y,:X
  !
  error(3) = 0
  return 0
!==============================================================================
