! $Id: keylck.prg,v 1.5 1999/11/24 09:46:44 sbogun Exp $   
!+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
!.COPYRIGHT   (C) 1993 European Southern Observatory
!.IDENT       $RCSfile: keylck.prg,v $
!.AUTHOR      Ralf Palsa,  ESO - Garching
!.KEYWORDS    Applications, Keywords. 
!.PURPOSE     Lock/Unlock Session Keywords
!.VERSION     1.0  Creation                   20-JUL-1998  RP
!------------------------------------------------------------

crossref  session lockno skip 

define/param p1  +  c  "Enter session:"
define/param p2  +  c  "Enter lock number:"
define/param p3  +  c  "Enter keyword list:"

define/maxpar 3


define/local n/i/1/1        0
define/local nkeys/i/1/1    0    ?    +lower
define/local lockno/i/1/1   0
define/local lck/i/1/1      0
define/local skip/c/1/400   " "  all
define/local keyw/c/1/100   " "  all
define/local table/c/1/100  " "  ?    +lower



if p2(1:1) .ne. "+" then
  lockno = {p2}
endif

skip = m$upper(p3)
if skip(1:1) .eq. "+" then
  info/keyword skplck
  if mid$info(1) .eq. 3 then
    if m$len(skplck) .gt. 0 then
      skip = m$upper(skplck)
    endif
  endif
endif


! prepare session keyword table
if p1(1:1) .ne. "+" then
 inquire/session {p1} table nkeys
else
 inquire/session {mid$cmnd(11:14)} table nkeys
endif


! Lock/Unlock all keywords in session list but account for exceptions
do n = 1 nkeys 1
  keyw = m$upper("{{table},:key,@{n}}")
  info/keyword {keyw}
  lck = mid$info(4)

  if m$index(skip,keyw) .le. 0 .and. mid$info(1) .ne. 0 then
    if lck .ne. 0 then
      unlock/key {keyw} {lck}
    endif

    if lockno .ne. 0 then
      lock/key {keyw} {lockno}
    endif
  endif
enddo

return 0
