void sort(n,ra)
int n;
float ra[];
{
  int l,j,ir,i;
  float rra;
  
  l=(n >> 1)+1;
  ir=n;
  for (;;) {
    if (l > 1)
      rra=ra[--l];
    else {
      rra=ra[ir];
      ra[ir]=ra[1];
      if (--ir == 1) {
	ra[1]=rra;
	return;
      }
    }
    i=l;
    j=l << 1;
    while (j <= ir) {
      if (j < ir && ra[j] < ra[j+1]) ++j;
      if (rra < ra[j]) {
	ra[i]=ra[j];
	j += (i=j);
      }
      else j=ir+1;
    }
    ra[i]=rra;
  }
}


long sortmat(ncl,nch,nrl,nrh,mcol,ra)
int ncl,nch,nrl,nrh,mcol;
float *ra;
/* works only if ra is stored in ONE memory block */
{
  long l,ir,i,j,k,n,nr,nc;
  long *idx;
  float rra;

  nr = nrh-nrl+1;
  nc = nch-ncl+1;
  n = nr*nc;
  idx = (long*) malloc( (n+1)*sizeof(long) );  /* starts to count from 1 */
  k = 1;
  for (j=nrl;j<=nrh;j++)
    for (i=ncl;i<=nch;i++,k++){
      idx[k] = (j-1)*mcol + i;
    }
  
  l=(n >> 1)+1;
  ir=n;
  for (;;) {
    if (l > 1){
      rra=ra[ idx[--l] ];
    }
    else {
      rra=ra[ idx[ir] ];
      ra[ idx[ir] ]=ra[ idx[1] ];
      if (--ir == 1) {
	ra[ idx[1] ]=rra;
	i = idx[n/2];
	free(idx);
	return(i);
      }
    }
    i=l;
    j=l << 1;
    while (j <= ir) {
      if (j < ir && ra[ idx[j] ] < ra[ idx[j+1] ]) ++j;
      if (rra < ra[ idx[j] ]) {
	ra[ idx[i] ]=ra[ idx[j] ];
	j += (i=j);
      }
      else j=ir+1;
    }
    ra[ idx[i] ]=rra;
  }
}



long sort2mat(ncl,nch,nrl,nrh,mcol,ra,rb)
int ncl,nch,nrl,nrh,mcol;
float *ra, *rb;
/* works only if ra and rb are each stored in ONE memory block */
{
  long l,ir,i,j,k,n,nr,nc;
  long *idx;
  float rrb,rra;

  nr = nrh-nrl+1;
  nc = nch-ncl+1;
  n = nr*nc;
  idx = (long*) malloc( (n+1)*sizeof(long) );  /* starts to count from 1 */
  k = 1;
  for (j=nrl;j<=nrh;j++)
    for (i=ncl;i<=nch;i++,k++){
      idx[k] = (j-1)*mcol + i;
    }
  
  l=(n >> 1)+1;
  ir=n;
  for (;;) {
    if (l > 1) {
      rra=ra[ idx[--l] ];
      rrb=rb[ idx[l] ];
    } else {
      rra=ra[ idx[ir] ];
      rrb=rb[ idx[ir] ];
      ra[ idx[ir] ]=ra[1];
      rb[ idx[ir] ]=rb[1];
      if (--ir == 1) {
	ra[ idx[1] ]=rra;
	rb[ idx[1] ]=rrb;
	i = idx[n/2];
	free(idx);
	return;
      }
    }
    i=l;
    j=l << 1;
    while (j <= ir)	{
      if (j < ir && ra[ idx[j] ] < ra[ idx[j+1] ]) ++j;
      if (rra < ra[ idx[j] ]) {
	ra[ idx[i] ]=ra[ idx[j] ];
	rb[ idx[i] ]=rb[ idx[j] ];
	j += (i=j);
      }
      else j=ir+1;
    }
    ra[ idx[i] ]=rra;
    rb[ idx[i] ]=rrb;
  }
}
