! $Id: mosplsrch.prg,v 1.3 1999/11/24 09:48:52 sbogun Exp $   
!+++++++++++++++++++++++++++++++++++++++++++++++++++++++
!.COPYRIGHT   (C) 1994 European Southern Observatory
!.IDENT       $RCSfile: mosplsrch.prg,v $
!.AUTHORS     Pascal Ballester (ESO/Garching)
!.KEYWORDS    Spectroscopy
!.PURPOSE     General module for PLOT/SEARCH commands
!             but this version uses the currently active
!             graphics window.
!.VERSION     1.0  Package Creation  15-FEB-1994
!-------------------------------------------------------
!
define/param P1  2D    CHAR "Mode (1D/2D)"
define/param P2  ?     TAB  "Input table:"
define/param P3 {WLC}  IMA  "Image:"
define/param P4  0     NUMB "Y Position:"
!
set/graph
set/graph pmode=1 font=1

define/local nrow/I/1/1  0
define/local nplot/I/1/1 {P4}

if {{p3},naxis} .eq. 1 then 
     nrow  = 1
else
     nrow  = {{P3},NPIX(2)}
endif

IF nplot .eq. 0  nplot = nrow/2 + 1

if nrow .eq. 1 .or. p1(1:1) .eq. "1" then
   plot/row {wlc} @{nplot}
   set/graph  color=4
   overplot/ident {p2} :x :x top
   select/table {p2} all
else
   set/graph ltype=0  stype=1 
   select/table {p2} all
   plot/table {P2}  :X :Y
endif

set/graph

return
