! $Id: mossave.prg,v 8.7 1999/11/24 09:48:55 sbogun Exp $
!+++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
!.COPYRIGHT   (C) 1991 European Southern Observatory
!.IDENT       $RCSfile: mossave.prg,v $
!.AUTHOR      Pascal Ballester,  ESO - Garching
!.KEYWORDS    Spectroscopy, MOS
!.PURPOSE     Command SAVE/MOS
!.VERSION     1.0    Creation    23-AUG-1991 PB
!
!-------------------------------------------------------
!
DEFINE/PARAM   P1    ?     C    "Session name :"
!
WRITE/OUT Process tables are saved
!
!
DEFI/LOCA CDUM/C/1/60 "{MOS}.tbl"

SET/MIDAS OUTPUT=NO
IF M$EXIST("{P1}KEYS.tbl") .eq. 0 then
  CREATE/TAB {P1}KEYS.tbl 1 1 NULL
ENDIF

IF M$EXIST(CDUM) .EQ. 1 THEN
        SELE/TABL       {MOS}.tbl       ALL
        COPY/TABL       {MOS}.tbl       {P1}SLIT.tbl
ELSE IF M$EXIST(MOS) .EQ. 1 THEN
        SELE/TABL       {MOS}           ALL
        COPY/TABL       {MOS}           {P1}SLIT.tbl
ELSE
        WRITE/OUT       "No slitlet table -- {MOS}"
ENDIF

WRITE/KEY CDUM "{LINPOS}.tbl"
IF M$EXIST(CDUM) .EQ. 1 THEN
        SELE/TABL       {LINPOS}.tbl    ALL
        COPY/TABL       {LINPOS}.tbl    {P1}LIN.tbl
ELSE IF M$EXIST(LINPOS) .EQ. 1 THEN
        SELE/TABL       {LINPOS}        ALL
        COPY/TABL       {LINPOS}        {P1}LIN.tbl
ELSE
        WRITE/OUT       "No wave length calibration table -- {LINPOS}"
ENDIF

WRITE/KEY CDUM "{LINFIT}.tbl"
IF M$EXIST(CDUM) .EQ. 1 THEN
        SELE/TABL       {LINFIT}.tbl    ALL
        COPY/TABL       {LINFIT}.tbl    {P1}FIT.tbl
ELSE IF M$EXIST(LINFIT) .EQ. 1 THEN
        SELE/TABL       {LINFIT}        ALL
        COPY/TABL       {LINFIT}        {P1}FIT.tbl
ELSE
        WRITE/OUT       "No table with dispersion coeficients -- {LINFIT}"
ENDIF

WRITE/KEY CDUM "{WINDOWS}.tbl"
IF M$EXIST(CDUM) .EQ. 1 THEN
        SELE/TABL       {WINDOWS}.tbl   ALL
        COPY/TABL       {WINDOWS}.tbl   {P1}WIN.tbl
ELSE IF M$EXIST(WINDOWS) .EQ. 1 THEN
        SELE/TABL       {WINDOWS}       ALL
        COPY/TABL       {WINDOWS}       {P1}WIN.tbl
ELSE
        WRITE/OUT       "No table with object/sky positions -- {WINDOWS}" 
ENDIF


!
SAVINIT/MOS  {P1}KEYS.tbl  WRITE
!
RETURN

