! $Id: mossky.prg,v 8.13 2000/12/01 14:55:49 sbogun Exp $ (ESO-IPG)  
! ++++++++++++++++++++++++++++++++++++++++++++++++++
!
! .IDENT       $RCSfile: mossky.prg,v $
!
! MOS PROCEDURE : MOSSKY.PRG
!
! .PURPOSE
!
! execute the command :
!  FITSKY/MOS image mos-table windows-table out par mode
!
! ++++++++++++++++++++++++++++++++++++++++++++++++++
!
CROSSREF OBJ TABLE SKYFRAME SKYPAR
!
DEFINE/PARAM P1 {OBJ}   IMAGE  "Enter input image:"
DEFINE/PARAM P2 {MOS}      TABLE  "Enter input mos table:"
DEFINE/PARAM P3 {WINDOWS}  TABLE  "Enter input windows table:"
DEFINE/PARAM P4 {SKYFRAME} IMAGE  "Enter output frame:"
DEFINE/PARAM P5 {SKYPAR}   NUMBER "Enter fit order:"
DEFINE/PARAM P6 {SKYMET}   ?      "Mode:"
IF "{P6(1:3)}" .eq. "pol"  .or. "{P6(1:3)}" .eq. "POL" THEN
   DEFINE/PARAM P7 {CCDPAR},{REJTHRES} ? "filter parameter"
   WRITE/KEYW INPUTR/R/1/3 {P7} 
ENDIF

DEFINE/LOCAL IN_C/C/1/80 " " all

!
!SET/MOS obj={P1} MOS={P2} windows={p3} skyframe={P4} skypar={P5}
!
!
SORT/TABL {P3} :Sky_Strt

if "{p6(1:3)}" .eq. "NOW" then
   write/out "No windows"
   cop/table {mos} middummz
   name/column middummz :SLIT :SKY_SLIT
   name/column middummz :YSTART :SKY_STRT
   name/column middummz :YEND   :SKY_END
   write/keyw IN_C middummz
   write/keyw INPUTC/C/1/3 MED
else    
   WRITE/KEYW IN_C {P3}
endif

!
WRITE/KEYW IN_A {P1}
WRITE/KEYW IN_B {P2}
WRITE/KEYW OUT_A {P4}
WRITE/KEYW INPUTI {P5}
WRITE/KEYW INPUTC {P6}
!
RUN PIPE_EXE:MOSSKY

!SORT/TABL {P3} :Obj_slit,:Sky_slit
SORT/TABL {P3} :Obj_slit,:Obj_Strt  !=> extract/mos will create spectra in same
                                    !   image rows compared w. old MOS ctx. !!
